This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1263195 - grub2: Built-in multiboot modules functioning on UEFI allow user to load non-verified code
grub2: Built-in multiboot modules functioning on UEFI allow user to load non-...
Status: CLOSED DUPLICATE of bug 1264103
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151117,reported=2...
: Security
Depends On: 1262904 CVE-2015-5281
Blocks: 1263198
  Show dependency treegraph
 
Reported: 2015-09-15 05:58 EDT by Adam Mariš
Modified: 2015-11-17 04:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 04:11:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-15 05:58:23 EDT
A vulnerability in grub2 allowing users to load non-verified code, such as tools to circumvent Secure Boot was reported. The problem raised from introducing this commit:

http://pkgs.devel.redhat.com/cgit/rpms/grub2/commit/?h=rhel-7.2&id=909ac684df7a662e7afd9d45d546ad97d363d197

Multiboot a multiboot2 modules remained built-in, that should not function on UEFI systems, but there is a prevention missing. Non-verified code can be loaded from boot menu if there's no password set, or in the config file if gained root privileges.

For reproducing the issue, see Bug #1262904.
Comment 2 Stefan Cornelius 2015-11-17 04:11:26 EST

*** This bug has been marked as a duplicate of bug 1264103 ***

Note You need to log in before you can comment on or make changes to this bug.